package com.lanren.huhu.partner.controller;

import com.lanren.huhu.partner.domain.PartnerAccount;
import com.lanren.huhu.partner.manager.PartnerAccountManager;
import com.lanren.huhu.partner.manager.UserManager;
import com.lanren.huhu.partner.result.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.HttpHeaders;
import org.springframework.web.bind.annotation.*;

/**
 * @author chen
 */
@RestController
@RequestMapping("/v1/user")
public class UserController {

    @Autowired
    private UserManager userManager;

    @Autowired
    private PartnerAccountManager partnerAccountManager;

    @RequestMapping(value = "/{id}", method = RequestMethod.GET)
    public Result<PartnerAccount> getUserName(@PathVariable("id") Integer id, @RequestHeader HttpHeaders headers) {
        return partnerAccountManager.findByUserId(id);
    }
}
